{#
/**
 * @file
 * Default theme implementation for the individual slick item/slide template.
 *
 * Available variables:
 * - attributes: An array of attributes to apply to the element.
 * - item.slide: A renderable array of the main image/background.
 * - item.caption: A renderable array containing caption fields if provided:
 *   - title: The individual slide title.
 *   - alt: The core Image field Alt as caption.
 *   - link: The slide links or buttons.
 *   - overlay: The image/audio/video overlay, or a nested slick.
 *   - data: any possible field for more complex data if crazy enough.
 * - settings: An array containing the given settings.
 *
 * @see template_preprocess_slick_slide()
 */
#}
{%
  set classes = [
    'slide--' ~ delta,
    item.slide is empty ? 'slide--text',
    settings.layout ? 'slide--caption--' ~ settings.layout|clean_class,
    settings.class ? settings.class
  ]
%}
{%
  set content_classes = [
    settings.detroy ? 'slide',
    not settings.detroy ? 'slide__content'
  ]
%}
{%
  set caption_classes = [
    'slide__caption',
  ]
%}
{% set use_blazy = blazies.use.theme_blazy  %}
{%- if settings.wrapper -%}
  <div{{ attributes.addClass(classes) }}>
{%- endif -%}

  {%- if use_blazy -%}
    {# Accessibility issue #92
    https://git.scnbdx.fr/sid/drupal/modules/com-bootstrap5-theme/-/issues/92#note_93215
    Image component has to be in a figure with role=group aria-label=[description content]
    Added custom mandatory field_credit and field_caption fields to image medias items
    Added custom media field content in figure's aria-label (field_media_image_caption)
      See README for more information
    #}

    {# Output the caption and credit in the figure's aria-label. #}
    {# cf. hook bm_slick_accessibility_preprocess_slick_slide #}
    <figure role="group" aria-label="{{ caption }}">
      {# Display the actual media item #}
      {{- item -}}
    </figure>
  {% else %}

  {%- endif -%}

{%- if settings.wrapper -%}
  </div>
{%- endif -%}
